BANK KALTENG - Feature #3649

Pembuatan Halaman Employee KPI List by Status
06/02/2025 05:16 PM - Mr Dhafin

Status: QA Test Start date: 06/02/2025
Priority: Urgent Due date: 06/11/2025
Assignee: Mr Dhafin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear mas Alwi,

Mohon untuk membuat halaman Employee KPI List by Status berdasarkan desain yang telah disiapkan. Menu ini akan ditempatkan
pada Human Resource > HR Strategic > Performance Management > Performance Report > Employee KPI List by Work Status.

Fitur yang Ditampilkan:

1. Filter Parameter (Report Parameter):

* Period: Dropdown (tahun)

* Organization: Dropdown unit organisasi

» Employee Id: Dropdown atau searchable field berdasarkan NIK/nama pegawai

2. Report Result Table (Hasil Laporan):
Kolom yang ditampilkan:

*No

* Nama

+ Jabatan

Catatan:

» Menampilkan KPI pegawai berdasarkan status kerja.

+ Data disaring berdasarkan filter yang dipilih dan ditampilkan dalam tabel.
* Terdapat tombol "View Report" dan fungsi "Export" (PDF/Excel).

+ Dilengkapi dengan pagination dan opsi jumlah baris per halaman.

Berikut ya mas untuk Referensi Tablenya:
Nama

Untuk menampilkan data pada kolom Nama, yang ditampilkan adalah unit kerja pada level Divisi. Data ini diambil dari tabel
PHROMO0004 dengan filter OrganizationLevel = '04'.

Selanjutnya, pencocokan data organisasi dilakukan menggunakan tabel PHROMO0002 dengan filter:

* ObjectClass = 'O’

* RelationshipClass = 'O’

Kemudian, gunakan field RelationshipObject untuk proses pencocokan.

Untuk mengetahui siapa saja yang termasuk dalam organisasi tersebut, cocokkan nilai RelationshipObject dari tabel PHROMO0002
dengan field Organization di tabel PHRPA0002.

Untuk menampilkan Description dari unit organisasi, gunakan tabel PHROMO0001 dengan filter ObjectClass, dan ambil nilai dari field
ObjectDescription.

Setelah mendapatkan data dari field RelationshipObject yang sesuai di tabel PHRPA0002, ambil nilai EmployeelD untuk mengetahui
siapa saja pegawainya. Selanjutnya, detail pegawai tersebut dapat dicocokkan melalui tabel PHRPAQ001.

Jabatan
Data pada kolom Position (Jabatan) diambil dari tabel PHRPA0002, dengan menggunakan field Job.

Terimakasih.

Port: http://remote.minovais.com:61133/
DB: MinovaES_BankKalteng_BaseServerProd

History

#1 - 06/02/2025 05:16 PM - Mr Dhafin

07/04/2025 12



http://remote.minovais.com:61133/

- Status changed from New to Assigned

#2 - 06/03/2025 04:22 PM - Mr Dhafin

Sudah dibuatkan menu nya di table:

SMENU
SENUTXT
PCMEPRPTCATALOG

di table SMENU & SMENUTXT

menulD: EKLS
di table PCMEPRPTCATALOG
reportlD: EKLS

#3 - 06/09/2025 09:00 AM - Kezia Pawitra Yulianti
- Due date changed from 06/05/2025 to 06/11/2025

- Priority changed from Normal to Urgent

#4 - 06/16/2025 05:34 PM - mahlil ..
- Status changed from Assigned to QA Test

- Assignee changed from mabhlil .. to Mr Dhafin
